Bug 457014 - pppoe: Check packet length on all receive paths [mrg-1]
pppoe: Check packet length on all receive paths [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
low Severity low
: 1.0.3
: ---
Assigned To: Luis Claudio R. Goncalves
:
Depends On: 457013
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 04:20 EDT by Eugene Teo (Security Response)
Modified: 2008-10-07 15:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 15:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-07-29 04:20:45 EDT
+++ This bug was initially created as a clone of Bug #457013 +++

Description of problem:
The length field in the PPPOE header wasn't checked completely. It lacks of a
lower-bound check. Also, call skb_copy_datagram_iovec instead of memcpy_toiovec
so that paged packets (rare for PPPOE) are handled properly.
Comment 2 Luis Claudio R. Goncalves 2008-08-05 14:16:36 EDT
Patch enqueued for -76, applied as is.
Comment 4 David Sommerseth 2008-09-23 04:25:58 EDT
Verified that upstream patch 392fdb0e35055b96faa9c1cd6ab537805337cdce is included in mrt-rt-2.6.24.7-81.
Comment 6 errata-xmlrpc 2008-10-07 15:21:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0857.html

Note You need to log in before you can comment on or make changes to this bug.